Skip to main content
GET
/
api
/
v1
/
voice_sessions
List sessions
curl "https://api.callaro.ai/api/v1/voice_sessions?page_size=25" \
  -H "X-Api-Key: $CALLARO_API_KEY"
const response = await fetch('https://api.callaro.ai/api/v1/voice_sessions?page_size=25', {
headers: { 'X-Api-Key': process.env.CALLARO_API_KEY }
});
const payload = await response.json();
console.log(payload.data?.next_cursor);
import requests
response = requests.get(
'https://api.callaro.ai/api/v1/voice_sessions',
params={'page_size': 25},
headers={'X-Api-Key': 'YOUR_CALLARO_API_KEY'},
timeout=30,
)
print(response.json().get('data', {}).get('next_cursor'))
{
  "data": {
    "items": [
      {}
    ],
    "next_cursor": "<string>"
  },
  "message": "<string>",
  "meta": {},
  "request_id": "<string>"
}
{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Tenant-Id
string

Optional tenant context selector for JWT/partner key callers.

Query Parameters

page_size
integer
default:50
Required range: 1 <= x <= 500
cursor
string

Response

Cursor list

data
object
message
string | null
meta
object | null
request_id
string | null